<!DOCTYPE html>
<html lang="fr" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.89.4" />
    <meta name="description" content="Documentation for Hugo Learn Theme">
<meta name="author" content="Mathieu Cornic">

    <link rel="icon" href="/images/favicon.png" type="image/png">

    <title>Configuration :: Documentation du thème Hugo Learn</title>

    
    <link href="/css/nucleus.css?1669031261" rel="stylesheet">
    <link href="/css/fontawesome-all.min.css?1669031261" rel="stylesheet">
    <link href="/css/hybrid.css?1669031261" rel="stylesheet">
    <link href="/css/featherlight.min.css?1669031261" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1669031261" rel="stylesheet">
    <link href="/css/auto-complete.css?1669031261" rel="stylesheet">
    <link href="/css/atom-one-dark-reasonable.css?1669031261" rel="stylesheet">
    <link href="/css/theme.css?1669031261" rel="stylesheet">
    <link href="/css/tabs.css?1669031261" rel="stylesheet">
    <link href="/css/hugo-theme.css?1669031261" rel="stylesheet">
    
    

    <script src="/js/jquery-3.3.1.min.js?1669031261"></script>

    <style>
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/fr/basics/configuration/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href='/fr'>

<svg id="grav-logo" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
	width="100%" height="100%"  viewBox="0 0 285.1 69.9" xml:space="preserve">
<g>
	<path d="M35,0c9.6,0,17.9,3.4,24.7,10.3c6.8,6.8,10.3,15,10.3,24.7c0,9.7-3.4,17.9-10.3,24.7c-6.8,6.8-15,10.3-24.7,10.3
		c-9.7,0-17.9-3.4-24.7-10.3C3.4,52.8,0,44.6,0,34.9c0-9.6,3.4-17.9,10.3-24.7C17.1,3.4,25.3,0,35,0z M22.3,63.7
		c0.3-7.4,0.3-14.7,0-22.1c-2.1-0.4-4-0.4-5.9,0c-0.2,0.8-0.2,2.5-0.1,4.9c0.1,2.3,0,3.9-0.3,4.8c-1.7-0.6-2.7-2.1-3.1-4.6
		c-0.1-0.7-0.1-3.3-0.1-8c0-14.5-0.1-23-0.3-25.6c-3.6,4.1-5.6,7-5.9,8.5v10.9c0,4.5,0.1,8.1,0.2,10.9c0,0.4,0,1.3-0.1,2.8
		c-0.1,1.2,0,2.1,0.1,2.6c0.1,0.6,1.1,2.1,2.8,4.7C13.2,58.7,17.5,62.2,22.3,63.7z M44.6,65.4c0.3-5,0.2-12.9-0.1-23.6
		c-2.1-0.3-4.1-0.3-5.9,0c-0.2,2-0.2,5.1-0.1,9.5c0.1,4.3,0,7.5-0.1,9.5c-2.9,0.4-5,0.3-6.2-0.1c-0.2-5.6-0.2-15.2-0.1-28.7
		c0.1-12.4,0-21.8-0.3-28.3c-2.4,0.1-4.3,0.6-5.7,1.3c-0.1,7.7-0.2,17.7-0.1,30.1c0,16.5,0,26.6,0,30.3c2.3,1.1,5.4,1.7,9.4,1.7
		C38.9,66.9,42.1,66.4,44.6,65.4z M48.1,64.1c9.7-4.6,15.7-12,18-22.2c-1.8-0.2-3.8-0.3-6.1-0.3c-1.6,3.9-2.6,6.3-3.2,7.2
		c-1.1,1.7-2,2.5-2.7,2.5C54,46,54,39.1,54,30.5c0-11.5,0-18.4,0-20.9c-1.4-1.4-3.3-2.5-5.7-3.4C48.1,6.3,48,6.4,48,6.7
		c0,3.5,0,13.1,0,28.8C47.9,47.2,48,56.8,48.1,64.1z"/>
</g>
<g>
	<path d="M116.6,51.3h-29c-0.5,0-0.9-0.1-1.3-0.2c-0.4-0.2-0.7-0.4-1-0.7c-0.3-0.3-0.5-0.6-0.7-1c-0.2-0.4-0.2-0.8-0.2-1.3V16.3h6.3
		V45h25.8V51.3z"/>
	<path d="M154.8,51.3h-22.9c-0.9,0-1.8-0.2-2.9-0.5c-1-0.3-2-0.8-2.9-1.5c-0.9-0.7-1.6-1.6-2.2-2.8c-0.6-1.1-0.9-2.5-0.9-4.2V19.5
		c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2h28.6v6.3h-25.4v19.8
		c0,0.8,0.2,1.5,0.7,1.9s1.1,0.7,1.9,0.7h22.9V51.3z M151.9,37h-20v-6.4h20V37z"/>
	<path d="M197.3,51.3H191v-8.6h-22.3v8.6h-6.3V33.8c0-2.6,0.4-4.9,1.3-7.1s2.1-4,3.7-5.5c1.6-1.5,3.4-2.8,5.5-3.6
		c2.1-0.9,4.5-1.3,7-1.3h14.3c0.4,0,0.9,0.1,1.2,0.2c0.4,0.2,0.7,0.4,1,0.7s0.5,0.6,0.7,1c0.2,0.4,0.2,0.8,0.2,1.2V51.3z
		 M168.7,36.4H191V22.6h-11.2c-0.2,0-0.6,0-1.2,0.1c-0.6,0.1-1.4,0.2-2.2,0.4c-0.8,0.2-1.7,0.6-2.6,1c-0.9,0.5-1.8,1.1-2.5,2
		c-0.8,0.8-1.4,1.9-1.9,3.1c-0.5,1.2-0.7,2.8-0.7,4.5V36.4z"/>
	<path d="M241.7,28.1c0,1.4-0.2,2.7-0.5,3.9c-0.4,1.1-0.8,2.1-1.5,3c-0.6,0.9-1.3,1.6-2.1,2.2c-0.8,0.6-1.6,1.1-2.5,1.5
		c-0.9,0.4-1.8,0.7-2.6,0.9c-0.9,0.2-1.7,0.3-2.5,0.3l13.3,11.5h-9.8l-13.2-11.5h-4.6v-6.3H230c0.8-0.1,1.5-0.2,2.2-0.5
		c0.7-0.3,1.2-0.6,1.7-1.1c0.5-0.5,0.9-1,1.1-1.6c0.3-0.6,0.4-1.4,0.4-2.2v-4c0-0.4,0-0.6-0.1-0.8c-0.1-0.2-0.2-0.3-0.3-0.4
		c-0.1-0.1-0.3-0.1-0.4-0.2c-0.2,0-0.3,0-0.4,0h-20.9v28.7h-6.3V19.5c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1
		c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2H234c1.4,0,2.6,0.3,3.6,0.8s1.8,1.2,2.4,1.9c0.6,0.8,1,1.6,1.3,2.5
		c0.3,0.9,0.4,1.7,0.4,2.5V28.1z"/>
	<path d="M285.1,48.6c0,0.5-0.1,0.9-0.3,1.3c-0.2,0.4-0.4,0.7-0.7,1c-0.3,0.3-0.6,0.5-1,0.7c-0.4,0.2-0.8,0.2-1.2,0.2
		c-0.4,0-0.8-0.1-1.2-0.2c-0.4-0.1-0.8-0.4-1.1-0.7l-23.2-24.2v24.7h-6.3V19c0-0.7,0.2-1.2,0.5-1.8c0.4-0.5,0.8-0.9,1.4-1.2
		c0.6-0.2,1.2-0.3,1.9-0.2s1.2,0.4,1.6,0.9l23.2,24.2V16.3h6.3V48.6z"/>
</g>
</svg>

</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="search" placeholder="Rechercher...">
    <span data-search-clear=""><i class="fas fa-times"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1669031261"></script>
<script type="text/javascript" src="/js/auto-complete.js?1669031261"></script>
<script type="text/javascript">
    
        var baseurl = "\/\/fr";
    
</script>
<script type="text/javascript" src="/js/search.js?1669031261"></script>

    
  </div>
  

    <div class="highlightable">
    <ul class="topics">

        
          
          




 
  
    
    <li data-nav-id="/fr/basics/" title="Démarrage" class="dd-item
        parent
        
        
        ">
      <a href="/fr/basics/">
          <b>1. </b>Démarrage
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/basics/requirements/" title="Prérequis" class="dd-item
        
        
        
        ">
      <a href="/fr/basics/requirements/">
          Prérequis
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/basics/installation/" title="Installation" class="dd-item
        
        
        
        ">
      <a href="/fr/basics/installation/">
          Installation
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/basics/configuration/" title="Configuration" class="dd-item
        parent
        active
        
        ">
      <a href="/fr/basics/configuration/">
          Configuration
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/basics/style-customization/" title="Personnalisation du style" class="dd-item
        
        
        
        ">
      <a href="/fr/basics/style-customization/">
          Personnalisation du style
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/fr/cont/" title="Contenu" class="dd-item
        
        
        
        ">
      <a href="/fr/cont/">
          <b>2. </b>Contenu
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/cont/pages/" title="Organisation des pages" class="dd-item
        
        
        
        ">
      <a href="/fr/cont/pages/">
          Organisation des pages
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/cont/archetypes/" title="Archétypes" class="dd-item ">
        <a href="/fr/cont/archetypes/">
        Archétypes
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/cont/markdown/" title="Syntaxe Markdown" class="dd-item ">
        <a href="/fr/cont/markdown/">
        Syntaxe Markdown
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/cont/menushortcuts/" title="Raccourcis du menu" class="dd-item ">
        <a href="/fr/cont/menushortcuts/">
        Raccourcis du menu
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/cont/i18n/" title="Multi-langue et i18n" class="dd-item
        
        
        
        ">
      <a href="/fr/cont/i18n/">
          Multi-langue et i18n
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/cont/tags/" title="Tags" class="dd-item ">
        <a href="/fr/cont/tags/">
        Tags
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/fr/shortcodes/" title="Shortcodes" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/attachments/" title="Attachments (Pièces jointes)" class="dd-item ">
        <a href="/fr/shortcodes/attachments/">
        Attachments (Pièces jointes)
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/button/" title="Button (Bouton)" class="dd-item ">
        <a href="/fr/shortcodes/button/">
        Button (Bouton)
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/" title="Children (Pages filles)" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/">
          Children (Pages filles)
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-1/" title="page 1" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-1/">
          page 1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-2/" title="page 2" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-2/">
          page 2
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/fr/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/fr/shortcodes/children/children-3/" title="page 3" class="dd-item
        
        
        
        ">
      <a href="/fr/shortcodes/children/children-3/">
          page 3
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/fr/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/fr/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/fr/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/fr/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/fr/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/fr/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
        
    </ul>

    
    
      <section id="shortcuts">
        <h3>Aller plus loin</h3>
        <ul>
          
              <li>
                  <a class="padding" href="https://github.com/matcornic/hugo-theme-learn"><i class='fab fa-fw fa-github'></i> Repo GitHub</a>
              </li>
          
              <li>
                  <a class="padding" href="fr/showcase"><i class='fas fa-fw fa-camera'></i> Vitrine</a>
              </li>
          
              <li>
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Documentation Hugo</a>
              </li>
          
              <li>
                  <a class="padding" href="fr/credits"><i class='fas fa-fw fa-bullhorn'></i> Crédits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      
        <li>
          <a class="padding">
            <i class="fas fa-language fa-fw"></i>
          <div class="select-style">
            <select id="select-language" onchange="location = this.value;">
          
          
          
              
              
                  
                    
                    
                      <option id="en" value="/en/basics/configuration/">English</option>
                    
                  
              
                  
              
                  
              
          
              
              
                  
              
                  
                    
                    
                      <option id="fr" value="/fr/basics/configuration/" selected>Français</option>
                    
                  
              
                  
              
          
        </select>
        <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
          width="255px" height="255px" viewBox="0 0 255 255" style="enable-background:new 0 0 255 255;" xml:space="preserve">
          <g>
            <g id="arrow-drop-down">
              <polygon points="0,63.75 127.5,191.25 255,63.75 		" />
            </g>
          </g>
        </svg>
        </div>
        </a>
        </li>
      

      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Supprimer l&#39;historique</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      <center>
    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/archive/master.zip" data-icon="octicon-cloud-download" aria-label="Download matcornic/hugo-theme-learn on GitHub">Download</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn" data-icon="octicon-star" data-show-count="true" aria-label="Star matcornic/hugo-theme-learn on GitHub">Star</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/fork" data-icon="octicon-repo-forked" data-show-count="true" aria-label="Fork matcornic/hugo-theme-learn on GitHub">Fork</a>

    <p>Built with <a href="https://github.com/matcornic/hugo-theme-learn"><i class="fas fa-heart"></i></a> from <a href="https://getgrav.org">Grav</a> and <a href="https://gohugo.io/">Hugo</a></p>
</center>

<script async defer src="https://buttons.github.io/buttons.js"></script>

    </section>
  </div>
</nav>




        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Modifier la page' href="https://github.com/matcornic/hugo-theme-learn/edit/master/exampleSite/content/basics/configuration/_index.fr.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Modifier la page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/fr/'>Learn Theme for Hugo</a> > <a href='/fr/basics/'>Démarrage</a> > Configuration
          
        
          
        
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
  <ul>
    <li><a href="#paramètres-globaux-du-site">Paramètres globaux du site</a></li>
    <li><a href="#activer-recherche">Activer la recherche</a></li>
    <li><a href="#mermaid">Mermaid</a></li>
    <li><a href="#configuration-du-bouton-accueil">Configuration du bouton Accueil</a></li>
  </ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            
        <div id="head-tags">
        
        </div>
        
        <div id="body-inner">
          
            <h1>
              
              Configuration
            </h1>
          

        



	<h2 id="paramètres-globaux-du-site">Paramètres globaux du site</h2>
<p>En plus de la <a href="https://gohugo.io/overview/configuration/">configuration globale d&rsquo;Hugo</a>, <strong>Hugo-theme-learn</strong> vous permet de définir les paramètres suivant dans votre fichier <code>config.toml</code> (ci-dessous sont affichées les valeurs par défaut).</p>
<p>Notez que certains de ces paramètres sont expliqués en détails dans d&rsquo;autres sections de cette documentation.</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">params</span>]
  <span style="color:#75715e"># L&#39;URL préfixe pour éditer la page courante. Ce paramètre affichera un bouton &#34;Modifier cette page&#34; on haut de de chacune des pages.</span>
  <span style="color:#75715e"># Pratique pour donner les possibilité à vos utilisateurs de créer une merge request pour votre doc.</span>
  <span style="color:#75715e"># Allez voir le fichier config.toml de cette documentation pour avoir un exemple.</span>
  <span style="color:#a6e22e">editURL</span> = <span style="color:#e6db74">&#34;&#34;</span>
  <span style="color:#75715e"># Autheur du site, est utilisé dans les informations meta</span>
  <span style="color:#a6e22e">author</span> = <span style="color:#e6db74">&#34;&#34;</span>
  <span style="color:#75715e"># Description du site, est utilisé dans les informations meta</span>
  <span style="color:#a6e22e">description</span> = <span style="color:#e6db74">&#34;&#34;</span>
  <span style="color:#75715e"># Affiche une icône lorsque la page a été visitée</span>
  <span style="color:#a6e22e">showVisitedLinks</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Désactive la fonction de recherche. Une valeur à true cache la barre de recherche.</span>
  <span style="color:#a6e22e">disableSearch</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Par défaut, le cache Javascript et CSS est automatiquement vidé lorsqu&#39;une nouvelle version du site est générée.</span>
  <span style="color:#75715e"># Utilisez ce paramètre lorsque vous voulez désactiver ce comportement (c&#39;est parfois incompatible avec certains proxys)</span>
  <span style="color:#a6e22e">disableAssetsBusting</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Utilisez ce paramètre pour désactiver le bouton copy-to-clipboard pour le code formatté sur une ligne.</span>
  <span style="color:#a6e22e">disableInlineCopyToClipBoard</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Un titre est défini par défaut lorsque vous utilisez un raccourci dans le menu. Utilisez ce paramètre pour le cacher.</span>
  <span style="color:#a6e22e">disableShortcutsTitle</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># S&#39;il est réglé sur faux, un bouton Accueil apparaîtra sous la barre de recherche dans le menu.</span>
  <span style="color:#75715e"># Il redirige vers la page d&#39;accueil de la langue actuelle si cela est spécifié. (La valeur par défaut est &#34;/&#34;)</span>
  <span style="color:#a6e22e">disableLandingPageButton</span> = <span style="color:#66d9ef">true</span>
  <span style="color:#75715e"># Si défini à true, empêche Hugo d&#39;inclure le module &#34;mermaid&#34; s&#39;il n&#39;est pas nécessaire (réduira les temps de chargement et le trafic)</span>
  <span style="color:#a6e22e">disableMermaid</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Spécifie l&#39;emplacement distant du mermaid js</span>
  <span style="color:#a6e22e">customMermaidURL</span> = <span style="color:#e6db74">&#34;https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js&#34;</span>
  <span style="color:#75715e"># Quand vous utilisez un site multi-langue, utilisez ce paramètre pour désactiver le bouton de changement de langue.</span>
  <span style="color:#a6e22e">disableLanguageSwitchingButton</span> = <span style="color:#66d9ef">false</span>
  <span style="color:#75715e"># Ordonne les sections dans menu par poids (&#34;weight&#34;) ou titre (&#34;title&#34;). Défaut à &#34;weight&#34;</span>
  <span style="color:#a6e22e">ordersectionsby</span> = <span style="color:#e6db74">&#34;weight&#34;</span>
  <span style="color:#75715e"># Utilisez ce paramètre pour modifier le schéma de couleur du site. Les valeurs par défaut sont &#34;red&#34;, &#34;blue&#34;, &#34;green&#34;.</span>
  <span style="color:#a6e22e">themeVariant</span> = <span style="color:#e6db74">&#34;&#34;</span>
  <span style="color:#75715e"># Fournissez une liste de fichiers css personnalisés à charger par rapport depuis le dossier `static/` à la racine du site.</span>
  <span style="color:#a6e22e">custom_css</span> = [<span style="color:#e6db74">&#34;css/foo.css&#34;</span>, <span style="color:#e6db74">&#34;css/bar.css&#34;</span>]
</code></pre></div><h2 id="activer-recherche">Activer la recherche</h2>
<p>Si ce n&rsquo;est pas déjà présent, ajoutez les lignes suivantes dans le fichier <code>config.toml</code>.</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">outputs</span>]
<span style="color:#a6e22e">home</span> = [ <span style="color:#e6db74">&#34;HTML&#34;</span>, <span style="color:#e6db74">&#34;RSS&#34;</span>, <span style="color:#e6db74">&#34;JSON&#34;</span>]
</code></pre></div><p>Le thème <em>Learn</em> utilise les dernières améliorations d&rsquo;Hugo pour générer un fichier d&rsquo;index JSON, prêt à être consommé par le moteur de recherche lunr.js.</p>
<blockquote>
<p>Hugo génère lunrjs index.json à la racine du dossier <code>public</code>.
Quand vous générez le site avec <code>hugo server</code>, Hugo génère le fichier en mémoire, il n&rsquo;est donc pas disponible sur le disque.</p>
</blockquote>
<h2 id="mermaid">Mermaid</h2>
<p>Les paramètres de configuration du mermaid peuvent également être définis sur une page spécifique. Dans ce cas, le paramètre global sera écrasé par le paramètre local.</p>
<blockquote>
<p>Exemple:</p>
<p>Mermaid est globalement handicapé. Par défaut, elle ne sera chargée par aucune page.<br>
À la page &ldquo;Architecture&rdquo;, vous avez besoin d&rsquo;un diagramme de classe. Vous pouvez régler les paramètres de mermaid localement pour ne charger que la sirène sur cette page (pas sur les autres).</p>
</blockquote>
<p>Vous pouvez également désactiver mermaid pour des pages spécifiques tout en l&rsquo;activant globalement.
&laquo;&laquo;&laquo;&lt; HEAD</p>
<h2 id="configuration-du-bouton-accueil">Configuration du bouton Accueil</h2>
<p>Si l&rsquo;option <code>disableLandingPage</code> est définie sur <code>false</code>, un bouton
&ldquo;Accueil&rdquo; apparaîtra dans le menu de gauche. C&rsquo;est une alternative pour cliquer
sur le logo. Pour modifier le vous devrez configurer deux paramètres pour les
langues définies :</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml">[<span style="color:#a6e22e">Lanugages</span>]
[<span style="color:#a6e22e">Lanugages</span>.<span style="color:#a6e22e">en</span>]
...
<span style="color:#a6e22e">landingPageURL</span> = <span style="color:#e6db74">&#34;/en&#34;</span>
<span style="color:#a6e22e">landingPageName</span> = <span style="color:#e6db74">&#34;&lt;i class=&#39;fas fa-home&#39;&gt;&lt;/i&gt; Redirect to Home&#34;</span>
...
[<span style="color:#a6e22e">Lanugages</span>.<span style="color:#a6e22e">fr</span>]
...
<span style="color:#a6e22e">landingPageURL</span> = <span style="color:#e6db74">&#34;/fr&#34;</span>
<span style="color:#a6e22e">landingPageName</span> = <span style="color:#e6db74">&#34;&lt;i class=&#39;fas fa-home&#39;&gt;&lt;/i&gt; Accueil&#34;</span>
...
</code></pre></div><p>Si ces paramètres ne sont pas configurés pour une langue spécifique, ils
obtiendront leur valeurs par défaut:</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#a6e22e">landingPageURL</span> = <span style="color:#e6db74">&#34;/&#34;</span>
<span style="color:#a6e22e">landingPageName</span> = <span style="color:#e6db74">&#34;&lt;i class=&#39;fas fa-home&#39;&gt;&lt;/i&gt; Home&#34;</span>
</code></pre></div><p>Le bouton d&rsquo;accueil va ressembler à ceci:</p>
<h1 id="default-home-buttonenbasicsconfigurationimageshome_button_defaultsjpgwidth100"><img src="/en/basics/configuration/images/home_button_defaults.jpg?width=100%25" alt="Default Home Button"></h1>
<blockquote>
<blockquote>
<blockquote>
<blockquote>
<blockquote>
<blockquote>
<blockquote>
<p>023fe7ef2b4c45fe66ac932d9e25d09f30b74a4e</p>
</blockquote>
</blockquote>
</blockquote>
</blockquote>
</blockquote>
</blockquote>
</blockquote>





<footer class=" footline" >
	
</footer>

        
        </div>
        

      </div>

    <div id="navigation">
        
        

        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        

        


	 
	 
		
			<a class="nav nav-prev" href="/fr/basics/installation/" title="Installation"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/fr/basics/style-customization/" title="Personnalisation du style" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>

    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1669031261"></script>
    <script src="/js/perfect-scrollbar.min.js?1669031261"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1669031261"></script>
    <script src="/js/jquery.sticky.js?1669031261"></script>
    <script src="/js/featherlight.min.js?1669031261"></script>
    <script src="/js/highlight.pack.js?1669031261"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom-3.6.0.js?1669031261"></script>
    <script src="/js/learn.js?1669031261"></script>
    <script src="/js/hugo-learn.js?1669031261"></script>
    
        
            <script src="https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"></script>
        
        <script>
            mermaid.initialize({ startOnLoad: true });
        </script>
    
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>
  </body>
</html>
